Welcome to Doom9's Forum, THE in-place to be for everyone interested in DVD conversion.

Before you start posting please read the forum rules. By posting to this forum you agree to abide by the rules.

 

Go Back   Doom9's Forum > Capturing and Editing Video > VapourSynth

Reply
 
Thread Tools Search this Thread Display Modes
Old 12th August 2019, 05:13   #3561  |  Link
poisondeathray
Registered User
 
Join Date: Sep 2007
Posts: 3,826
Quote:
Originally Posted by Boulder View Post
The only easy way to make it work was to use the folder which VSRepo uses (%appdata%\Roaming\Python\Python37\site-packages). I've had Python installed in that mentioned directory under Program Files for a long time now but I don't know why it stopped working now.
At least you have a workaround . The site-packages in the Program Files seems works for me, but my old Vapoursynth Plugins64 directory changed to the AppData\Roaming\VapourSynth\plugins64 directory . Not sure why all the changes.
poisondeathray is offline   Reply With Quote
Old 12th August 2019, 15:06   #3562  |  Link
Myrsloik
Professional Code Monkey
 
Myrsloik's Avatar
 
Join Date: Jun 2003
Location: Ikea Chair
Posts: 1,956
Quote:
Originally Posted by poisondeathray View Post
At least you have a workaround . The site-packages in the Program Files seems works for me, but my old Vapoursynth Plugins64 directory changed to the AppData\Roaming\VapourSynth\plugins64 directory . Not sure why all the changes.
1. It never changed. There's always been a per user directory for plugins but people on doom9 hate the idea of not manually stuffing things into program files. That's still doable if you want to though.

2. Unprivileged installs. Try reading the changelog. Program files isn't writable for everyone.
__________________
VapourSynth - proving that scripting languages and video processing isn't dead yet
Myrsloik is offline   Reply With Quote
Old 13th August 2019, 15:59   #3563  |  Link
Txico
Registered User
 
Join Date: Nov 2017
Posts: 2
Sorry to ask this here, I haven't seen it anywhere else. So ... HELP!

Where can I get Vapoursynth packages? Ubuntu PPAs is not active any more and doesn't seem to be any viable alternative...
I already tried to compile it myself, but after compiling from sources zimg and vapoursynth R47.1, after solving the Python environmental variable (In Ubuntu Python 3.7 is not in the same place), now I can't load the ffsm2 plug-in. I tried to download and compile it myself, but I don't know where to copy the plug-in, or which file it is ... ffmsindex is working from that sources after "make install", but don't know where the plug-in is or goes.
Something as simple as:

import vapoursynth as vs
core = vs.get_core()
video = core.ffms2.Source(source="Lol.mp4")
video.set_output()

returns me using vspipe: "AttributeError: No attribute with the name ffms2 exists. Did you mistype a plugin namespace?"

Something I forget in the vapoursynth compilation?
Txico is offline   Reply With Quote
Old 13th August 2019, 16:47   #3564  |  Link
Selur
Registered User
 
Selur's Avatar
 
Join Date: Oct 2001
Location: Germany
Posts: 5,836
Have you tried explicitly loading the plugin?
Code:
core.std.LoadPlugin(path="path to ffms library")
__________________
Hybrid here in the forum, homepage
Selur is offline   Reply With Quote
Old 13th August 2019, 18:16   #3565  |  Link
Txico
Registered User
 
Join Date: Nov 2017
Posts: 2
Yep! That solved it!

So, Ubuntu is installing everything in the wrong places or Vapoursynth is looking always where it shouldn't. Grrrr!
And what about having a working Ubuntu PPA? That will had been so much easy, as it was before! Now I don't have a working vsedit ...
Txico is offline   Reply With Quote
Old 13th August 2019, 20:43   #3566  |  Link
Myrsloik
Professional Code Monkey
 
Myrsloik's Avatar
 
Join Date: Jun 2003
Location: Ikea Chair
Posts: 1,956
Quote:
Originally Posted by Txico View Post
Yep! That solved it!

So, Ubuntu is installing everything in the wrong places or Vapoursynth is looking always where it shouldn't. Grrrr!
And what about having a working Ubuntu PPA? That will had been so much easy, as it was before! Now I don't have a working vsedit ...
We're looking for people who will actually maintain linux packages and not just disappear. Applications welcome.
__________________
VapourSynth - proving that scripting languages and video processing isn't dead yet
Myrsloik is offline   Reply With Quote
Old 14th August 2019, 07:05   #3567  |  Link
george84
Registered User
 
Join Date: Jan 2012
Posts: 101
Cannot Install R47

Downloaded
Quote:
VapourSynth64-R47.exe
double click and get Message
Quote:
Setup, Python 3.7 (64-bit) is installed for the current user only. ...
. After clicking OK installation exits.

Uninstalled Python and Python Launcher and reinstalled it. Tried reinstall for
Quote:
All users
as well as not. But still get same message and cannot install.

Running Windows10 with newest updates.

Last edited by george84; 14th August 2019 at 07:10.
george84 is offline   Reply With Quote
Old 14th August 2019, 17:52   #3568  |  Link
poisondeathray
Registered User
 
Join Date: Sep 2007
Posts: 3,826
Quote:
Originally Posted by george84 View Post
Downloaded double click and get Message . After clicking OK installation exits.

Uninstalled Python and Python Launcher and reinstalled it. Tried reinstall for as well as not. But still get same message and cannot install.

Running Windows10 with newest updates.

Where did you get Python ? MS STORE ?

According to this

Quote:
PYTHON FROM THE MS STORE DOES NOT WORK
https://forum.doom9.org/showthread.p...22#post1878822
poisondeathray is offline   Reply With Quote
Old 14th August 2019, 19:20   #3569  |  Link
LoRd_MuldeR
Software Developer
 
LoRd_MuldeR's Avatar
 
Join Date: Jun 2005
Location: Last House on Slunk Street
Posts: 13,032
Quote:
Originally Posted by george84 View Post
Downloaded double click and get Message . After clicking OK installation exits.

Uninstalled Python and Python Launcher and reinstalled it. Tried reinstall for as well as not. But still get same message and cannot install.

Running Windows10 with newest updates.
When installing Python via "official" installer, it is very important to select "Customize installation", not "Install now"

Then, skip over the "Optional Features" page that comes next (you can keep defaults here) and, on the "Advanced Options" page, be sure to enable the "Install for all users" option.

If you installed Python before and missed to do this, then you'll have to uninstall first and then install again.

(Also be sure to download and use the "Windows x86-64 executable installer" of Python, if you intend to use VapourSynth64. The Python website tries to trick you into downloading the "x86" version)
__________________
There was of course no way of knowing whether you were being watched at any given moment.
How often, or on what system, the Thought Police plugged in on any individual wire was guesswork.



Last edited by LoRd_MuldeR; 14th August 2019 at 19:29.
LoRd_MuldeR is offline   Reply With Quote
Old 15th August 2019, 05:26   #3570  |  Link
george84
Registered User
 
Join Date: Jan 2012
Posts: 101
Quote:
Originally Posted by LoRd_MuldeR View Post
When installing Python via "official" installer, it is very important to select "Customize installation", not "Install now"
Thank you. This worked.
george84 is offline   Reply With Quote
Old 15th August 2019, 20:08   #3571  |  Link
Myrsloik
Professional Code Monkey
 
Myrsloik's Avatar
 
Join Date: Jun 2003
Location: Ikea Chair
Posts: 1,956
R47.2 released. You should definitely update if you use a previous R47 version since it fixes the merge bug introduced when converting everything to intrinsics.
__________________
VapourSynth - proving that scripting languages and video processing isn't dead yet
Myrsloik is offline   Reply With Quote
Reply

Tags
speed, vaporware, vapoursynth

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +1. The time now is 15:36.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.